XFuXMFormatHeader class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMFormatHeader Class Reference

`#include <XFuXMPlayer_internal.h>`

List of all members.

## Public Attributes

UINT8 | mIdString [17+1]
| ID text: 'Extended module: ' (+ extra byte for ).
UINT8 | mModuleName [20+1]
| Module name (+ extra byte for ).
UINT8 | mH1A
| $1A.
UINT8 | mTrackerName [20+1]
| Tracker name (+ extra byte for ).
UINT16 | mVersion
| Version number, hi-UINT8 major, lo-UINT8 minor.
UINT32 | mHeaderSize
| Header size.
UINT16 | mSongLength
| Song length in pattern order table.
UINT16 | mRestartPosition
| Song restart position.
UINT16 | mNbChannels
| Number of channels.
UINT16 | mNbPatterns
| Number of patterns.
UINT16 | mNbInstruments
| Number of instruments.
UINT16 | mFlags
UINT16 | mTempo
| Default tempo (0..31).
UINT16 | mBpm
| Default bpm (0..255).
UINT8 | mOrderTable [256]
| Pattern order table.

## Member Data Documentation

UINT16 XFuXMFormatHeader::mBpm

| Default bpm (0..255). Definition at line 95 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mFlags

Bit 0:

- 0 = Amiga frequency table
- 1 = Linear frequency table

Definition at line 92 of file XFuXMPlayer_internal.h.

Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatHeader::mH1A

| $1A. Definition at line 76 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT32 XFuXMFormatHeader::mHeaderSize

| Header size. Definition at line 80 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatHeader::mIdString[17 + 1]

| ID text: 'Extended module: ' (+ extra byte for ). Definition at line 74 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatHeader::mModuleName[20 + 1]

| Module name (+ extra byte for ). Definition at line 75 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mNbChannels

| Number of channels. Definition at line 84 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::create(), and XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mNbInstruments

| Number of instruments. Definition at line 86 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mNbPatterns

| Number of patterns. Definition at line 85 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::create(), and XFuXMPlayer::loadXM().

UINT8 XFuXMFormatHeader::mOrderTable[256]

| Pattern order table. Definition at line 97 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mRestartPosition

| Song restart position. Definition at line 83 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mSongLength

| Song length in pattern order table. Definition at line 82 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mTempo

| Default tempo (0..31). Definition at line 94 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatHeader::mTrackerName[20 + 1]

| Tracker name (+ extra byte for ). Definition at line 77 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatHeader::mVersion

| Version number, hi-UINT8 major, lo-UINT8 minor. Definition at line 78 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch